Summary: Font configuration and customization library
Name: fontconfig
# specopt
%{?include_specopt}
# version macros
%global momorel 5
%global src0_md5sum 2466a797d645cda5eb466080fdaec416
# package information
Version: 2.2.3
Release: %{momorel}m
Group: System Environment/Libraries
License: MIT/X
URL: http://fontconfig.org/


# sources
%NoSource 0 http://freedesktop.org/fontconfig/release/fontconfig-%{version}.tar.gz %{src0_md5sum}
Source1: momonga.fonts.conf
Source2: dot.fonts.conf

# patches
Patch1: http://kde.ics.es.yamanashi.ac.jp/~akito/patch/fontconfig/hintstyle/fontconfig-2.2.1-slighthint.patch
NoPatch: 1
Patch2: fontconfig-2.1-fulldir.patch
Patch3: fontconfig-2.2.1-notimestamp.patch
Patch4: fontconfig-2.2.3-fix-jp-20030822-1.diff
Patch5: fontconfig-2.2.3-ta-pa-orth.patch

# build restrictions
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: freetype2-devel, expat-devel
BuildPreReq: automake14

# package dependencies
Conflicts: XFree86-libs < 4.3.0.1-3m
Conflicts: XFree86-tools < 4.3.0.1-3m

%description
Fontconfig is designed to locate fonts within the
system and select them according to requirements specified by
applications.

%package devel
Summary: Font configuration and customization library
Group: Development/Libraries
# package dependencies
Requires: %{name} = %{version}-%{release}
Conflicts: XFree86-devel < 4.3.0.1-3m
%description devel
The fontconfig-devel package includes the static libraries,
header files, and developer docs for the fontconfig package.

Install fontconfig-devel if you want to develop programs which
will use fontconfig.
%global fontsdir    %{_datadir}/fonts
%global config_sample_dir %{_datadir}/config-sample/%{name}
%prep
%setup -q

%patch1 -p1 -b .hint
%patch2 -p1 -b .fulldir
%patch3 -p1 -b .notime
%patch4 -p1 -b .jp
%patch5 -p1 -b .ta-pa-orth


%build
libtoolize --force
aclocal-1.4
autoconf
automake-1.4
%configure \
    --with-x-fonts=%{_prefix}/X11R6/lib/X11/fonts \
    --disable-docs
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%__cp %{S:1} fonts.conf
%makeinstall

%__mkdir_p %{buildroot}%{config_sample_dir}
%__install -m 644 %{S:2} %{buildroot}%{config_sample_dir}

%__mkdir_p %{buildroot}%{fontsdir}
%__mkdir_p %{buildroot}%{fontsdir}/CID
%__mkdir_p %{buildroot}%{fontsdir}/type1
%__mkdir_p %{buildroot}%{fontsdir}/truetype

# remove
%__rm -rf %{buildroot}%{_docdir}/fontconfig

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
%files
%defattr(-, root, root)
%doc README AUTHORS COPYING ChangeLog doc/fontconfig-user*
%dir %{_sysconfdir}/fonts
%{_sysconfdir}/fonts/fonts.conf
%{_sysconfdir}/fonts/fonts.dtd
%config %{_sysconfdir}/fonts/local.conf
%{_bindir}/fc-*
%{_libdir}/libfontconfig*.so.*
#%{fontsdir}
%{fontsdir}/CID
%{fontsdir}/type1
%{fontsdir}/truetype
%{config_sample_dir}
%{_mandir}/man5/*

%files devel
%defattr(-, root, root)
%doc doc/fontconfig-devel*
%dir %{_includedir}/fontconfig
%{_includedir}/fontconfig/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/libfontconfig.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*

%changelog
* Fri Apr  8 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.2.3-5m)
- modify momonga.fonts.conf to use hinting

* Fri Nov 19 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (2.2.3-4m)
- import patch4
  [Momonga-devel.ja:02906]
  thanks TetsuO.S.

* Sun Nov 14 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (2.2.3-3m)
- remake patch4
- add patch5

* Sat Nov 13 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (2.2.3-2m)
- create patch4.
- remove some patches.

* Sat Nov 13 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (2.2.3-1m)
- update to 2.3.5
- some patch from FC

* Tue Jul  6 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.2.1-8m)
- move antialias settings before loading user/local config files
  [Momonga-devel.ja:02613] thanks to Yoshiyuki Doi

* Sun Jun 20 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.2.1-7m)
- use sazanami instead of kochi by default

* Thu Apr  8 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.2.1-6m)
- revise momonga.fonts.conf for XFree86-4.3.0.2-3m

* Thu Mar 18 2004 Toru Hoshina <t@momonga-linux.org>
- (2.2.1-5m)
- revised spec for enabling rpm 4.2.

* Sun Feb  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.2.1-4m)
- specfile cleanup

* Fri Nov  7 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (2.2.1-3m)
- append patch1.

* Wed Oct 01 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2.1-2m)
- change License: MIT to MIT/X for speclint
- fix files devel section warning 'File listed twice'

* Fri Aug 22 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (2.2.1-1m)
- update to 2.2.1
- patch0 forgery...

* Thu Aug 21 2003 Kenta MURATA <muraken2@nifty.com>
- (2.2.0-5m)
- hold /usr/share/fonts/CID, /usr/share/fonts/type1,
  and /usr/share/fonts/truetype.

* Wed Aug 20 2003 Kenta MURATA <muraken2@nifty.com>
- (2.2.0-4m)
- config_sample -> config-sample ([Momonga-devel-ja:02027]).

* Thu Aug  7 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.0-3m)
- Obsoletes: XFree86 < 4.3.0.1-3m -> Conflicts: XFree86 < 4.3.0.1-3m

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (2.2.0-2m)
- add config-sample.
- modify fonts.conf.
- obsoletes the old XFree86-{libs,devel,tools}.

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (2.2.0-1m)
- separated from XFree86
- version up.
-* Fri Mar  7 2003 Mike A. Harris <mharris@redhat.com> 2.1.92-1
-- Removed man1/* and added man5/* to main package and man3/* to devel package
-- Added missing defattr(-, root, root) to main package
-- Added HTML and text development documentation to -devel subpackage
-
-* Wed Mar  5 2003 Mike A. Harris <mharris@redhat.com>
-- Added back the configure macro options --disable-docs because otherwise
-  fontconfig installs docs into /usr/share/doc/fontconfig (with no version
-  number) unconditionally, causing RPM to fail the build due to unpackaged
-  files terminate build
-
-* Wed Mar  5 2003 Mike A. Harris <mharris@redhat.com>
-- Removed commented out rpm macro define at top of spec file, replacing it with
-  a simple explanation, since rpm macros are expanded by rpm even in comments
-- Changed /usr/bin to _bindir in BuildRequires lines
-- Cleaned up rpm postinstall script, and made fc-cache use _bindir
-- Reorganized file manifest lists
-
-* Sun Mar  2 2003 Owen Taylor <otaylor@redhat.com>
-- Various improvements from Red Hat spec file
-
-* Sun Mar  2 2003 Mike A. Harris <mharris@redhat.com>
-- Initial changelog entry
